Subject: 23.1; I wish CEDET support for projects in Objective-C language

From: Paul Chany <[email-masked]>
Date: Mon, 21 Jun 2010 17:57:25 +0200

This is not a bugreport but a wish.
I wish CEDET support for projects in Objective-C language.
Such support should entail a Skeleton for projects with gnustep-make.

In GNU Emacs 23.1.1 (i486-pc-linux-gnu, GTK+ Version 2.18.2)
 of 2009-11-02 on raven, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.10707000
configured using `configure  '--build=i486-linux-gnu' '--host=i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var/lib' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.1/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.1/leim' '--with-x=yes' '--with-x-toolkit=gtk' '--with-toolkit-scroll-bars' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: hu_HU.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Message

Minor modes in effect:
  mml-mode: t
  gnus-message-citation-mode: t
  server-mode: t
  desktop-save-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
<return> <return> <return> <return> <return> <return> 
<return> <return> <return> <return> <return> <return> 
<return> <return> <return> <return> <return> <return> 
<return> <return> <return> <return> <return> <return> 
<return> <return> <return> <return> <return> <return> 
<return> F C-n C-SPC C-n C-n C-n C-n C-n C-n C-w C-SPC 
C-n C-n C-n C-n C-n C-w C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-n C-o C-o C-n C-n C-k C-p C-x C-s C-p 
C-p C-p C-p C-p C-p C-p C-p C-SPC C-n C-n C-n C-n C-n 
C-w C-n C-n C-n Y e s , SPC I SPC m u s t SPC q v o 
i d <backspace> <backspace> <backspace> <backspace> 
<backspace> a v o i d SPC G o r m SPC C-b C-b C-b C-b 
C-b C-e b e c a u s e SPC i t ' s SPC e x t r e m e 
l y SPC s l o w SPC o n SPC t h i s SPC B o x . C-x 
C-s C-a C-n C-n C-l C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-l C-k C-o C-n C-o I SPC C-x C-s t h i n k 
SPC t h a t SPC t h a t SPC s u c h SPC s u p p o r 
t SPC s h o u l d SPC e n t a i l SPC a SPC S k e l 
e t o n SPC f o r SPC p r o j e c t s SPC u s i n g 
SPC g n u s t e o <backspace> p - m a k e C-x C-s C-a 
C-e . C-x C-s M-x r e p o r t SPC e m a c s SPC SPC 
SPC <return>

Recent messages:
Wrote /home/csanyipal/News/drafts/drafts/1
Mark set
Saving file /home/csanyipal/News/drafts/drafts/1...
Wrote /home/csanyipal/News/drafts/drafts/1
Saving file /home/csanyipal/News/drafts/drafts/1...
Wrote /home/csanyipal/News/drafts/drafts/1
Saving file /home/csanyipal/News/drafts/drafts/1...
Wrote /home/csanyipal/News/drafts/drafts/1
Saving file /home/csanyipal/News/drafts/drafts/1...
Wrote /home/csanyipal/News/drafts/drafts/1